Version 2.1.7

Released: February 2, 2017

This is a bug-fix release and all users are encouraged to upgrade. The focus of this micro release was REST API improvement.

Changes

  • Improved user management API endpoints (initial work by @lokeshmanmode):
    • Improved user creation API endpoint to allow specifying the group membership.
    • Improved user editing API endpoint to allow specifying the group membership.
  • Improved permissions API endpoints (initial work by @lokeshmanmode):
    • Add permission list API endpoint. This API endpoint lists all possible permissions in the system.
    • Improved role creation API endpoint to allow specifying the role’s group membership and role’s permissions.
    • Improved role editing API endpoint to allow specifying the role’s group membership and role’s permissions.
  • Improvements in the API tests of a few apps.
  • Add content type list API view to the common app. Content type is required when querying the events of an object, this view show list of content types available.
  • Add event type list api view. This API view shows all the possible events that are registered in the system.
  • Add event list API view. This view shows all the events that have taken place in the system.
  • Add object event list API view. This view show all the events for a specific object (document, etc). The content type of the object whose events are being requested must be specified. The list of available content types is provided now by the common app API.
  • The parser and validation fields of the metadata type model have been enable in the metadata type API serializer.

Removals

  • None

Upgrading from a previous version

Using PIP

Type in the console:

$ pip install -U mayan-edms

the requirements will also be updated automatically.

Using Git

If you installed Mayan EDMS by cloning the Git repository issue the commands:

$ git reset --hard HEAD
$ git pull

otherwise download the compressed archived and uncompress it overriding the existing installation.

Next upgrade/add the new requirements:

$ pip install --upgrade -r requirements.txt

Common steps

Migrate existing database schema with:

$ mayan-edms.py performupgrade

Add new static media:

$ mayan-edms.py collectstatic --noinput

The upgrade procedure is now complete.

Backward incompatible changes

  • None

Bugs fixed or issues closed

  • None